using System;

namespace DCLJobView.Events
{
	/// <summary>
	/// An event for a binary experiment result, including name, type, ticket and binary data.
	/// </summary>
	public class BinaryResultEvent : ResultEvent
	{
		public BinaryResultEvent(string name, string type, string ticket, byte[] result) : base(name, type, ticket)
		{
			this.result = result;
		}

		private byte[] result;

		public byte[] Result
		{
			get { return this.result; }
		}
	}
}
