using System;

namespace DCLJobView.Events
{
	/// <summary>
	/// An event with a string message.
	/// </summary>
	public class MessageEvent : System.EventArgs
	{
		public MessageEvent(string message)
		{
			this.message = message;
		}

		private string message;

		public string Message
		{
			get { return this.message; }
		}
	}
}
