using System;
using System.IO;
using System.Data;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.ComponentModel;

using DCLJobView;

namespace DCLController
{
	public class MainForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.StatusBar statusBar1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.Windows.Forms.MenuItem menuItem2;
		private System.Windows.Forms.MenuItem menuItem3;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem menuItem5;
		private System.Windows.Forms.MenuItem menuItem6;
		private System.ComponentModel.Container components = null;
		private System.Windows.Forms.MenuItem menuItem7;
		private System.Windows.Forms.MenuItem menuItem8;
		private System.Windows.Forms.MenuItem menuItem9;
		private System.Windows.Forms.MenuItem menuItem10;
		private System.Windows.Forms.MenuItem menuItem11;
		private System.Windows.Forms.MenuItem menuItem13;
		private System.Windows.Forms.MenuItem menuItem14;
		private System.Windows.Forms.MenuItem menuItem12;
		private System.Windows.Forms.MenuItem menuItem15;
		private System.Windows.Forms.OpenFileDialog openFileDialog1;
		private System.Windows.Forms.SaveFileDialog saveFileDialog1;
		private System.Windows.Forms.MenuItem menuItem16;
		private DCLJobView.JobViewControl jobViewControl1;
		private System.Windows.Forms.Splitter splitter1;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Splitter splitter2;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox logTextBox;
		private System.Windows.Forms.Panel logpanel;
		private System.Windows.Forms.Panel tabpanel;
		private Crownwood.Magic.Controls.TabControl tabControl1;
		private System.Windows.Forms.MenuItem menuItem17;

		private int jobCount = 1;

		public MainForm()
		{
			InitializeComponent();
			this.CreateNewTabWithTextBox();
		}

		protected override void OnLoad(EventArgs e)
		{
			this.jobViewControl1.startUpdateProcess();
			base.OnLoad (e);
		}


		protected override void Dispose( bool disposing )
		{
			// job view clean shutdown
			this.jobViewControl1 = null;
			GC.Collect();

			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.statusBar1 = new System.Windows.Forms.StatusBar();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.menuItem13 = new System.Windows.Forms.MenuItem();
			this.menuItem14 = new System.Windows.Forms.MenuItem();
			this.menuItem15 = new System.Windows.Forms.MenuItem();
			this.menuItem16 = new System.Windows.Forms.MenuItem();
			this.menuItem17 = new System.Windows.Forms.MenuItem();
			this.menuItem4 = new System.Windows.Forms.MenuItem();
			this.menuItem2 = new System.Windows.Forms.MenuItem();
			this.menuItem5 = new System.Windows.Forms.MenuItem();
			this.menuItem3 = new System.Windows.Forms.MenuItem();
			this.menuItem9 = new System.Windows.Forms.MenuItem();
			this.menuItem10 = new System.Windows.Forms.MenuItem();
			this.menuItem12 = new System.Windows.Forms.MenuItem();
			this.menuItem11 = new System.Windows.Forms.MenuItem();
			this.menuItem6 = new System.Windows.Forms.MenuItem();
			this.menuItem7 = new System.Windows.Forms.MenuItem();
			this.menuItem8 = new System.Windows.Forms.MenuItem();
			this.openFileDialog1 = new System.Windows.Forms.OpenFileDialog();
			this.saveFileDialog1 = new System.Windows.Forms.SaveFileDialog();
			this.jobViewControl1 = new DCLJobView.JobViewControl();
			this.splitter1 = new System.Windows.Forms.Splitter();
			this.panel1 = new System.Windows.Forms.Panel();
			this.splitter2 = new System.Windows.Forms.Splitter();
			this.tabpanel = new System.Windows.Forms.Panel();
			this.tabControl1 = new Crownwood.Magic.Controls.TabControl();
			this.logpanel = new System.Windows.Forms.Panel();
			this.logTextBox = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.panel1.SuspendLayout();
			this.tabpanel.SuspendLayout();
			this.logpanel.SuspendLayout();
			this.SuspendLayout();
			// 
			// statusBar1
			// 
			this.statusBar1.Location = new System.Drawing.Point(0, 483);
			this.statusBar1.Name = "statusBar1";
			this.statusBar1.Size = new System.Drawing.Size(736, 22);
			this.statusBar1.TabIndex = 1;
			this.statusBar1.Text = "Ready.";
			// 
			// mainMenu1
			// 
			this.mainMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem1,
																					  this.menuItem5,
																					  this.menuItem6});
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem13,
																					  this.menuItem14,
																					  this.menuItem15,
																					  this.menuItem16,
																					  this.menuItem17,
																					  this.menuItem4,
																					  this.menuItem2});
			this.menuItem1.Text = "&File";
			// 
			// menuItem13
			// 
			this.menuItem13.Index = 0;
			this.menuItem13.Shortcut = System.Windows.Forms.Shortcut.CtrlN;
			this.menuItem13.Text = "&New";
			this.menuItem13.Click += new System.EventHandler(this.menuItem13_Click);
			// 
			// menuItem14
			// 
			this.menuItem14.Index = 1;
			this.menuItem14.Text = "Op&en...";
			this.menuItem14.Click += new System.EventHandler(this.menuItem14_Click);
			// 
			// menuItem15
			// 
			this.menuItem15.Index = 2;
			this.menuItem15.Text = "&Save";
			this.menuItem15.Click += new System.EventHandler(this.menuItem15_Click);
			// 
			// menuItem16
			// 
			this.menuItem16.Index = 3;
			this.menuItem16.Text = "Save As..";
			this.menuItem16.Click += new System.EventHandler(this.menuItem16_Click);
			// 
			// menuItem17
			// 
			this.menuItem17.Index = 4;
			this.menuItem17.Text = "Close";
			this.menuItem17.Click += new System.EventHandler(this.menuItem17_Click);
			// 
			// menuItem4
			// 
			this.menuItem4.Index = 5;
			this.menuItem4.Text = "-";
			// 
			// menuItem2
			// 
			this.menuItem2.Index = 6;
			this.menuItem2.Text = "E&xit";
			this.menuItem2.Click += new System.EventHandler(this.menuItem2_Click);
			// 
			// menuItem5
			// 
			this.menuItem5.Index = 1;
			this.menuItem5.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem3,
																					  this.menuItem9,
																					  this.menuItem10,
																					  this.menuItem12,
																					  this.menuItem11});
			this.menuItem5.Text = "&Jobs";
			// 
			// menuItem3
			// 
			this.menuItem3.Index = 0;
			this.menuItem3.Shortcut = System.Windows.Forms.Shortcut.CtrlO;
			this.menuItem3.Text = "&Options...";
			this.menuItem3.Click += new System.EventHandler(this.menuItem3_Click);
			// 
			// menuItem9
			// 
			this.menuItem9.Index = 1;
			this.menuItem9.Text = "&Send DCL Job...";
			this.menuItem9.Click += new System.EventHandler(this.menuItem9_Click);
			// 
			// menuItem10
			// 
			this.menuItem10.Index = 2;
			this.menuItem10.Text = "&Cancel DCL Job";
			this.menuItem10.Click += new System.EventHandler(this.menuItem10_Click);
			// 
			// menuItem12
			// 
			this.menuItem12.Index = 3;
			this.menuItem12.Text = "-";
			// 
			// menuItem11
			// 
			this.menuItem11.Enabled = false;
			this.menuItem11.Index = 4;
			this.menuItem11.Text = "Sh&ow DCL Job results in webpage...";
			// 
			// menuItem6
			// 
			this.menuItem6.Index = 2;
			this.menuItem6.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					  this.menuItem7,
																					  this.menuItem8});
			this.menuItem6.Text = "&Help";
			// 
			// menuItem7
			// 
			this.menuItem7.Index = 0;
			this.menuItem7.Text = "&About..";
			this.menuItem7.Click += new System.EventHandler(this.menuItem7_Click);
			// 
			// menuItem8
			// 
			this.menuItem8.Enabled = false;
			this.menuItem8.Index = 1;
			this.menuItem8.Text = "He&lp..";
			// 
			// jobViewControl1
			// 
			this.jobViewControl1.Dock = System.Windows.Forms.DockStyle.Left;
			this.jobViewControl1.Location = new System.Drawing.Point(0, 0);
			this.jobViewControl1.Name = "jobViewControl1";
			this.jobViewControl1.Size = new System.Drawing.Size(216, 483);
			this.jobViewControl1.TabIndex = 5;
			this.jobViewControl1.LogMessage += new DCLJobView.LogMessageEventHandler(this.jobViewControl1_LogMessage);
			this.jobViewControl1.ShowBinaryResultClicked += new DCLJobView.BinaryResultEventHandler(this.jobViewControl1_ShowBinaryResultClicked);
			this.jobViewControl1.SendJobClicked += new System.EventHandler(this.jobViewControl1_SendJobClicked);
			this.jobViewControl1.ShowStringResultClicked += new DCLJobView.StringResultEventHandler(this.jobViewControl1_ShowStringResultClicked);
			// 
			// splitter1
			// 
			this.splitter1.Location = new System.Drawing.Point(216, 0);
			this.splitter1.Name = "splitter1";
			this.splitter1.Size = new System.Drawing.Size(4, 483);
			this.splitter1.TabIndex = 6;
			this.splitter1.TabStop = false;
			// 
			// panel1
			// 
			this.panel1.Controls.Add(this.splitter2);
			this.panel1.Controls.Add(this.tabpanel);
			this.panel1.Controls.Add(this.logpanel);
			this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel1.Location = new System.Drawing.Point(220, 0);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(516, 483);
			this.panel1.TabIndex = 7;
			// 
			// splitter2
			// 
			this.splitter2.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.splitter2.Location = new System.Drawing.Point(0, 317);
			this.splitter2.Name = "splitter2";
			this.splitter2.Size = new System.Drawing.Size(516, 3);
			this.splitter2.TabIndex = 3;
			this.splitter2.TabStop = false;
			// 
			// tabpanel
			// 
			this.tabpanel.Controls.Add(this.tabControl1);
			this.tabpanel.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tabpanel.Location = new System.Drawing.Point(0, 0);
			this.tabpanel.Name = "tabpanel";
			this.tabpanel.Size = new System.Drawing.Size(516, 320);
			this.tabpanel.TabIndex = 4;
			// 
			// tabControl1
			// 
			this.tabControl1.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tabControl1.HideTabsMode = Crownwood.Magic.Controls.TabControl.HideTabsModes.ShowAlways;
			this.tabControl1.Location = new System.Drawing.Point(0, 0);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.PositionTop = true;
			this.tabControl1.ShowArrows = true;
			this.tabControl1.ShowClose = true;
			this.tabControl1.Size = new System.Drawing.Size(516, 320);
			this.tabControl1.TabIndex = 0;
			this.tabControl1.ClosePressed += new System.EventHandler(this.tabControl1_ClosePressed_1);
			// 
			// logpanel
			// 
			this.logpanel.Controls.Add(this.logTextBox);
			this.logpanel.Controls.Add(this.label2);
			this.logpanel.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.logpanel.DockPadding.Top = 6;
			this.logpanel.Location = new System.Drawing.Point(0, 320);
			this.logpanel.Name = "logpanel";
			this.logpanel.Size = new System.Drawing.Size(516, 163);
			this.logpanel.TabIndex = 1;
			// 
			// logTextBox
			// 
			this.logTextBox.Dock = System.Windows.Forms.DockStyle.Fill;
			this.logTextBox.Location = new System.Drawing.Point(0, 22);
			this.logTextBox.Multiline = true;
			this.logTextBox.Name = "logTextBox";
			this.logTextBox.Size = new System.Drawing.Size(516, 141);
			this.logTextBox.TabIndex = 6;
			this.logTextBox.Text = "";
			// 
			// label2
			// 
			this.label2.Dock = System.Windows.Forms.DockStyle.Top;
			this.label2.Location = new System.Drawing.Point(0, 6);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(516, 16);
			this.label2.TabIndex = 5;
			this.label2.Text = "Message Log:";
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(736, 505);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.splitter1);
			this.Controls.Add(this.jobViewControl1);
			this.Controls.Add(this.statusBar1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.mainMenu1;
			this.Name = "MainForm";
			this.Text = "DCL Controller";
			this.panel1.ResumeLayout(false);
			this.tabpanel.ResumeLayout(false);
			this.logpanel.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		[STAThread]
		static void Main() 
		{
			Application.Run(new MainForm());
		}

		private void menuItem3_Click(object sender, System.EventArgs e)
		{
			this.jobViewControl1.showOptions();
		}

		private void menuItem2_Click(object sender, System.EventArgs e)
		{
			Application.Exit();
		}

		private void menuItem7_Click(object sender, System.EventArgs e)
		{
			AboutForm AboutDlg = new AboutForm();
			AboutDlg.ShowDialog();
		}

		private void menuItem9_Click(object sender, System.EventArgs e)
		{
			ExperimentSelectionForm selectionDlg = new ExperimentSelectionForm(this.jobViewControl1, this.jobViewControl1.getAllExperiments());
			selectionDlg.ShowDialog();
		}

		private void menuItem10_Click(object sender, System.EventArgs e)
		{
			this.jobViewControl1.cancelJob();
		}

		private void menuItem13_Click(object sender, System.EventArgs e)
		{
			this.CreateNewTabWithTextBox();
		}

		private TextBox CreateNewTabWithTextBox()
		{
			TextBox box = new TextBox();
			box.Multiline = true;
			box.Dock = DockStyle.Fill;
			box.ScrollBars = ScrollBars.Both;

			Crownwood.Magic.Controls.TabPage page = new Crownwood.Magic.Controls.TabPage("Job " + this.jobCount++, box);
			this.tabControl1.TabPages.Add(page);
			this.tabControl1.SelectedTab = page;

			return box;
		}

		private void tabControl1_ClosePressed(object sender, System.EventArgs e)
		{
			if (this.tabControl1.SelectedTab != null)
				this.tabControl1.TabPages.Remove(this.tabControl1.SelectedTab);
		}

		/// <summary>
		///		Save.
		/// </summary>
		private void menuItem15_Click(object sender, System.EventArgs e)
		{
			if (this.tabControl1.SelectedTab != null)
			{
				// get file to write
				string fileName = this.tabControl1.SelectedTab.Title;
				FileInfo file = new FileInfo(fileName);

				// check file exists
				if(!file.Exists)
				{
					this.saveFileDialog1.ShowDialog();
					if(this.saveFileDialog1.FileName.Equals(""))
						return;
					else
						file = new FileInfo(this.saveFileDialog1.FileName);
				}

				// write to file
				StreamWriter writer = new StreamWriter(file.FullName);
				writer.Write(((TextBox)this.tabControl1.SelectedTab.Control).Text);
				writer.Flush();
				writer.Close();

				// set tab title
				this.tabControl1.SelectedTab.Title = file.Name;
			}
		}

		/// <summary>
		///		Open.
		/// </summary>
		private void menuItem14_Click(object sender, System.EventArgs e)
		{
			this.openFileDialog1.ShowDialog();
			if(!this.openFileDialog1.FileName.Equals(""))
			{
				FileInfo file = new FileInfo(this.openFileDialog1.FileName);

				if(file.Exists)
				{
					TextBox box = this.CreateNewTabWithTextBox();
					StreamReader reader = new StreamReader(file.FullName);
					box.Text += reader.ReadToEnd();
				}
			}
		}

		/// <summary>
		///		Save As.
		/// </summary>
		private void menuItem16_Click(object sender, System.EventArgs e)
		{
			if (this.tabControl1.SelectedTab != null)
			{
				this.saveFileDialog1.ShowDialog();
				FileInfo file;
			
				if(this.saveFileDialog1.FileName.Equals(""))
					return;
				else
					file = new FileInfo(this.saveFileDialog1.FileName);
			
				// write to file
				StreamWriter writer = new StreamWriter(file.FullName);
				writer.Write(((TextBox)this.tabControl1.SelectedTab.Control).Text);
				writer.Flush();
				writer.Close();

				// set tab title
				this.tabControl1.SelectedTab.Title = file.Name;
			}
		}

		private void jobViewControl1_LogMessage(object sender, DCLJobView.Events.MessageEvent e)
		{
			LoggingManager.log(e.Message, this.logTextBox);
		}

		private void jobViewControl1_SendJobClicked(object sender, System.EventArgs e)
		{
			this.jobViewControl1.sendJob(((TextBox)this.tabControl1.SelectedTab.Control).Text, true);
		}

		private void jobViewControl1_ShowBinaryResultClicked(object sender, DCLJobView.Events.BinaryResultEvent e)
		{
			// TODO: show binary result
		}

		private void jobViewControl1_ShowStringResultClicked(object sender, DCLJobView.Events.StringResultEvent e)
		{
			string text = e.Result;
			text = text.Replace("\n", "\r\n");

			this.CreateNewTabWithTextBox().Text = text;
		}

		private void menuItem17_Click(object sender, System.EventArgs e)
		{
			this.closeSelectedTab();
		}

		private void closeSelectedTab()
		{
			if (this.tabControl1.SelectedTab != null)
			{
				DialogResult result = MessageBox.Show("Do you want to save the Job Code before closing?", "Save Question", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);

				if (result != DialogResult.Cancel)
				{
					if (result == DialogResult.Yes)
					{
						this.menuItem15_Click(this, null);
					}
					this.tabControl1.TabPages.Remove(this.tabControl1.SelectedTab);

					if (this.tabControl1.TabPages.Count == 0)
						this.CreateNewTabWithTextBox();
				}
			}
		}

		private void tabControl1_ClosePressed_1(object sender, System.EventArgs e)
		{
			this.closeSelectedTab();
		}
	}
}