using System;
using System.IO;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.ComponentModel;

namespace DCLJobView
{
	public class OptionsForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TextBox textBox1;
		private System.Windows.Forms.TextBox textBox2;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.TextBox textBox3;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.TextBox textBox4;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Button button2;
		private System.Windows.Forms.Button button3;
		
		private System.ComponentModel.Container components = null;

		private JobViewControl jvc;
		private System.Windows.Forms.TextBox textBox5;
		private System.Windows.Forms.Label label5;
		private Configuration config;

		public OptionsForm(Configuration config, JobViewControl jvc)
		{
			InitializeComponent();

			this.config = config;
			this.textBox1.Text = this.config.Login;
			this.textBox2.Text = this.config.Password;
			this.textBox3.Text = this.config.DCLExperimentService;
			this.textBox4.Text = this.config.DCLTicketService;
			this.textBox5.Text = this.config.WebFrontEndURL;

			this.jvc = jvc;
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.label1 = new System.Windows.Forms.Label();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.textBox2 = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.textBox3 = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.textBox4 = new System.Windows.Forms.TextBox();
			this.label4 = new System.Windows.Forms.Label();
			this.button1 = new System.Windows.Forms.Button();
			this.button2 = new System.Windows.Forms.Button();
			this.button3 = new System.Windows.Forms.Button();
			this.textBox5 = new System.Windows.Forms.TextBox();
			this.label5 = new System.Windows.Forms.Label();
			this.SuspendLayout();
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(100, 16);
			this.label1.TabIndex = 0;
			this.label1.Text = "Login:";
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(8, 24);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(296, 20);
			this.textBox1.TabIndex = 1;
			this.textBox1.Text = "";
			// 
			// textBox2
			// 
			this.textBox2.Location = new System.Drawing.Point(9, 72);
			this.textBox2.Name = "textBox2";
			this.textBox2.PasswordChar = '*';
			this.textBox2.Size = new System.Drawing.Size(295, 20);
			this.textBox2.TabIndex = 3;
			this.textBox2.Text = "";
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(9, 56);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(100, 16);
			this.label2.TabIndex = 2;
			this.label2.Text = "Password:";
			// 
			// textBox3
			// 
			this.textBox3.Location = new System.Drawing.Point(9, 120);
			this.textBox3.Name = "textBox3";
			this.textBox3.Size = new System.Drawing.Size(295, 20);
			this.textBox3.TabIndex = 5;
			this.textBox3.Text = "";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(9, 152);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(119, 16);
			this.label3.TabIndex = 4;
			this.label3.Text = "DCL Ticket Service:";
			// 
			// textBox4
			// 
			this.textBox4.Location = new System.Drawing.Point(9, 168);
			this.textBox4.Name = "textBox4";
			this.textBox4.Size = new System.Drawing.Size(295, 20);
			this.textBox4.TabIndex = 7;
			this.textBox4.Text = "";
			// 
			// label4
			// 
			this.label4.Location = new System.Drawing.Point(8, 104);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(135, 16);
			this.label4.TabIndex = 6;
			this.label4.Text = "DCL Experiment Service:";
			// 
			// button1
			// 
			this.button1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Location = new System.Drawing.Point(144, 248);
			this.button1.Name = "button1";
			this.button1.TabIndex = 10;
			this.button1.Text = "OK";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// button2
			// 
			this.button2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
			this.button2.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.button2.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button2.Location = new System.Drawing.Point(232, 248);
			this.button2.Name = "button2";
			this.button2.TabIndex = 11;
			this.button2.Text = "Cancel";
			this.button2.Click += new System.EventHandler(this.button2_Click);
			// 
			// button3
			// 
			this.button3.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
			this.button3.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button3.Location = new System.Drawing.Point(8, 248);
			this.button3.Name = "button3";
			this.button3.TabIndex = 12;
			this.button3.Text = "Advanced...";
			this.button3.Click += new System.EventHandler(this.button3_Click);
			// 
			// textBox5
			// 
			this.textBox5.Location = new System.Drawing.Point(10, 216);
			this.textBox5.Name = "textBox5";
			this.textBox5.Size = new System.Drawing.Size(295, 20);
			this.textBox5.TabIndex = 9;
			this.textBox5.Text = "";
			// 
			// label5
			// 
			this.label5.Location = new System.Drawing.Point(10, 200);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(119, 16);
			this.label5.TabIndex = 8;
			this.label5.Text = "DCL Web Front-End:";
			// 
			// OptionsForm
			// 
			this.AcceptButton = this.button1;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.button2;
			this.ClientSize = new System.Drawing.Size(314, 280);
			this.Controls.Add(this.textBox5);
			this.Controls.Add(this.textBox4);
			this.Controls.Add(this.textBox3);
			this.Controls.Add(this.textBox2);
			this.Controls.Add(this.textBox1);
			this.Controls.Add(this.label5);
			this.Controls.Add(this.button3);
			this.Controls.Add(this.button2);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "OptionsForm";
			this.ShowInTaskbar = false;
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "DCL Add-In Options";
			this.ResumeLayout(false);

		}
		#endregion

		private void button2_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void button1_Click(object sender, System.EventArgs e)
		{
			if (this.config.Login != this.textBox1.Text
				|| this.config.Password != this.textBox2.Text
				|| this.config.DCLExperimentService != this.textBox3.Text
				|| this.config.DCLTicketService != this.textBox4.Text)
			{
				jvc.NetConfigurationChanged();
			}

			this.config.Login = this.textBox1.Text;
			this.config.Password = this.textBox2.Text;
			this.config.DCLExperimentService = this.textBox3.Text;
			this.config.DCLTicketService = this.textBox4.Text;
			this.config.WebFrontEndURL = this.textBox5.Text;

			// save configuration before this form closes
			ConfigurationManager.store(this.config, new FileInfo(this.config.ConfigFile));

			this.Close();
		}

		private void button3_Click(object sender, System.EventArgs e)
		{
			AdvancedOptionsForm AdvOptDlg = new AdvancedOptionsForm(this.config);
			if (AdvOptDlg.ShowDialog() == DialogResult.OK)
			{
				jvc.AdvancedConfigurationChanged();
			}
		}
	}
}