using System;

namespace DCLJobView.Events
{
	/// <summary>
	/// An event for a text experiment result, including name, type, ticket and string data.
	/// </summary>
	public class StringResultEvent : ResultEvent
	{
		public StringResultEvent(string name, string type, string ticket, string result) :	base(name, type, ticket)
		{
			this.result = result;
		}

		private string result;

		public string Result
		{
			get { return this.result; }
		}
	}
}
