using System;

namespace DCLJobView.Events
{
	/// <summary>
	/// An event for a web experiment result, including name, type, ticket and string data.
	/// </summary>
	public class WebResultEvent : ResultEvent
	{
		public WebResultEvent(string name, string type, string ticket, string url) :	base(name, type, ticket)
		{
			this.url = url;
		}

		private string url;

		public string Url
		{
			get { return this.url; }
		}
	}
}